@import 'defaults';

minds-notification.mdl-card {
  width: 100%;
  min-height: 0;
  padding: $minds-padding * 2;
  margin-bottom: $minds-margin * 2;

  display: flex;
  flex-direction: row;

  .avatar {
    display: flex;
    flex-direction: column;

    img {
      border-radius: 50%;
      max-height: 50px;
    }
  }

  .body {
    padding: 0 $minds-padding * 2;

    a {
      text-decoration: none;
      @include m-theme() {
        color: themed($m-grey-900);
      }
    }

    .pseudo-link {
      font-weight: bold;
      vertical-align: baseline;
    }

    p {
      padding: 0;
      margin: 0;
    }

    .ts {
      font-size: 11px;
    }
  }
}

minds-notifications {
  .m-notifications--load-new {
    text-transform: uppercase;
    font-family: 'Roboto', Helvetica, sans-serif;
    letter-spacing: 2.5px;
    cursor: pointer;
    text-rendering: optimizeLegibility;
    font-size: 12px;
    -webkit-font-smoothing: antialiased;
    font-weight: 600;
    padding: 8px;
    text-align: center;

    a {
      margin: 0 auto;
    }
  }

  .mdl-tabs__tab {
    overflow: visible;
    flex: 1;

    .m-full-label {
      display: inline-block;
    }

    .m-icon,
    .material-icons {
      line-height: 2em;
      margin-left: 0.35em;
      vertical-align: middle;
      opacity: 0.45;
      cursor: pointer;
    }

    @media only screen and (max-width: $min-desktop) {
      padding: 0 $minds-padding * 2;

      .m-full-label {
        display: none;
      }

      .m-icon {
        margin-left: 0;
        opacity: 1;
      }
    }

    @media only screen and (max-width: $max-mobile) {
      padding: 0 $minds-padding * 1.5;
    }

    @media only screen and (max-width: $min-mobile) {
      padding: 0 ($minds-padding / 1.333);
    }
  }

  .notifications-grid {
    // Styles for notifications page list
  }
}

m-notifications--topbar-toggle {
  i {
    cursor: pointer;
  }
  .counter {
    cursor: default;
  }

  .m-notifications--topbar-toggle--icon--active {
    &::after {
      border-radius: 50%;
      display: block;
      height: 8px;
      width: 8px;
      content: '';
      position: absolute;
      top: -2px;
      right: 2px;
      @include m-theme() {
        background-color: themed($m-blue);
      }
    }
  }

  .m-notifications--topbar-toggle-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    z-index: 998;
  }
}

.m-v2-topbar__UserMenu
  m-notifications--topbar-toggle
  .m-notifications--topbar-toggle--icon--active::after {
  top: -12px;
  right: 0px;
}
